## Grammar for Processing Lists

Processing lists are based on the general grammar for description files, the naming conventions for module files, and the naming conventions for description files.

### Syntax

<macro_description> = {<block>} | EMPTY

<line> = <macro_desc_line>

<macro_desc_line> = <comment_line> | <macro_line> | <def_line> | <ext_target_option_line>

| <command_line> | EMPTY

<command_line> = ![! | ?]<command>

<command> = {<character>}

<macro_line> = [<source_spec>|<desc_spec>]<new_line>

#### General Rule

In <tool_option_line>, <ext_character> must not begin with / | $ | !